<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQKeepCalEditView9Base from './emeqkeep-cal-edit-view9-base.vue';

import view_form from '@widgets/emeqkeep/main4-form/main4-form.vue';

/**
 * 保养记录信息
 *
 * @export
 * @class EMEQKeepCalEditView9
 * @extends {EMEQKeepCalEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQKeepCalEditView9 extends EMEQKeepCalEditView9Base { }
</script>